﻿namespace WorldView
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    public class TileTypeW
    {
        public bool wall = false;
        public TileType Wallt = TileType.Sky;
        public TileType t = TileType.Unknown;
        public TileTypeW(bool w, TileType Wtype, TileType t1)
        {
            wall = w;
            Wallt = Wtype;
            t = t1;
        }

        public enum TileType
        {
            Dirt,
            Stone,
            Grass,
            Plants,
            Torches,
            Trees,
            Iron,
            Copper,
            Gold,
            Silver,
            Door1,
            Door2,
            HeartStone,
            Bottles,
            Table,
            Chair,
            Anvil,
            Furnance,
            CraftingTable,
            WoodenPlatform,
            PlantsDecorative,
            Chest,
            CorruptionStone1,
            CorruptionGrass,
            CorruptionPlants,
            CorruptionStone2,
            Altar,
            Sunflower,
            Pot,
            PiggyBank,
            BlockWood,
            ShadowOrb,
            CorruptionVines,
            Candle,
            ChandlerCopper,
            ChandlerSilver,
            ChandlerGold,
            Meterorite, // Credit Vib Rib
            BlockStone,
            BlockRedStone,
            Clay,
            BlockBlueStone,
            LightGlobe,
            BlockGreenStone,
            BlockPinkStone,
            BlockGold,
            BlockSilver,
            BlockCopper,
            Spikes,
            CandleBlue,
            Books,
            Web,
            Vines,
            Sand,
            Glass,
            Signs,
            Obsidian,
            Ash, // Credit Infinite Monkeys
            Hellstone, // Credit Vib Rib
            Mud,
            UndergroundJungleGrass,
            UndergroundJunglePlants,
            UndergroundJungleVines,
            GemSapphire,
            GemRuby,
            GemEmerald,
            GemTopaz,
            GemAmethyst,
            GemDiamond,
            UndergroundJungleThorns, // Credit Dr VideoGames 0031
            UndergroundMushroomGrass,
            UndergroundMushroomPlants,
            UndergroundMushroomTrees,
            Plants2,
            Plants3,
            BlockObsidian,
            BlockHellstone,
            UnderworldFurnance,
            DecorativePot,
            Bed,
            Cactus,
            Coral,
            HerbSprout,
            HerbStalk,
            Herb,
            Tombstone,
            Unknown,

            // Additonal Placed Out of range of byte
            Sky = 256,
            Water = 257,
            Lava = 258,

            WallStone = 259,
            WallDirt,
            WallStone2,
            WallWood,
            WallBrick,
            WallRed,
            WallBlue,
            WallGreen,
            WallPink,
            WallGold,
            WallSilver,
            WallCopper,
            WallHellstone,
            WallBackground,
        }
    }

}
