﻿namespace WorldView
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Drawing;

    public class TileProperties
    {
        public bool isImportant;
        public TileTypeW.TileType type;
        public Color colour;
        public Symbol symbol;

        public TileProperties(TileTypeW.TileType tileType, bool isTileImportant, Color colour, Symbol symbol = null)
        {
            this.type = tileType;
            this.isImportant = isTileImportant;
            this.colour = colour;
            this.symbol = symbol;
        }

        public TileTypeW.TileType TileType
        {
            get
            {
                return this.type;
            }
        }

        public Color Colour
        {
            get
            {
                return this.colour;
            }
        }

        public Symbol Symbol
        {
            get
            {
                return this.symbol;
            }
        }

        public bool IsImportant
        {
            get
            {
                return this.isImportant;
            }
        }
    }
}
